%define _requires_exceptions devel(libperl
%define _disable_ld_no_undefined 1

%define major 30
%define libname %mklibname net-snmp %{major}
%define develname %mklibname -d net-snmp
%define staticdevelname %mklibname -d -s net-snmp

# (oe) never enable rpm support as it eats file descriptors like crazy 
# causing the snmp daemon to die!.
%define build_rpm   0
%{?_without_rpm:    %global build_rpm 0}
%{?_with_rpm:       %global build_rpm 1}

Summary:    A collection of SNMP protocol tools and libraries
Name:       net-snmp
Version:    5.7.2
%define subrel 3
Release:    %mkrel 13
License:    BSDish
Group:      System/Servers
URL:        http://www.net-snmp.org/
Source0:    http://prdownloads.sourceforge.net/net-snmp/net-snmp-%{version}.tar.gz
Source1:    http://prdownloads.sourceforge.net/net-snmp/net-snmp-%{version}.tar.gz.asc
Source2:    snmpd.conf
Source3:    snmpd.logrotate
Source4:    snmpd.sysconfig
Source5:    snmpd.service
Source6:    snmptrapd.conf
Source7:    snmptrapd.logrotate
Source8:    snmptrapd.sysconfig
Source9:    snmptrapd.service
Source10:   net-snmp.tmpfiles
Source11:   ucd5820stat
Source12:   NOTIFICATION-TEST-MIB.txt
Source13:   TRAP-TEST-MIB.txt

# fedora patches
Patch1: net-snmp-5.7.2-pie.patch
Patch2: net-snmp-5.5-dir-fix.patch
Patch3: net-snmp-5.6-multilib.patch
Patch4: net-snmp-5.5-apsl-copying.patch
Patch5: net-snmp-5.6-test-debug.patch
Patch6: net-snmp-5.7.2-systemd.patch
Patch7: net-snmp-5.7.2-python-ipaddress-size.patch
Patch10: net-snmp-5.7.2-btrfs.patch
Patch11: net-snmp-5.7-agentx-crash.patch
Patch12: net-snmp-5.5-agentx-disconnect-crash.patch

# upstream patches
Patch50: net-snmp-5.7.2-fix-ICMP-mib-table-handling.patch
Patch51: net-snmp-5.7.2-CVE-2014-2285.patch
Patch52: net-snmp-5.7.2-CVE-2014-3565.patch
Patch53: net-snmp-5.7.2-varbind-dos.patch

# other patches
Patch100: net-snmp-5.6.1-add-pythoninstall-destdir.patch
Patch101: net-snmp-5.7.2-linking.patch
Patch102: net-snmp-5.7.2-no-systemd.patch

Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

Requires:   openssl
Requires:   net-snmp-mibs
Requires:   net-snmp-utils
Requires:   tcp_wrappers
BuildRequires:  chrpath
BuildRequires:  lm_sensors-devel
BuildRequires:  multiarch-utils >= 1.0.3
BuildRequires:  openssl-devel
BuildRequires:  perl-devel
BuildRequires:  python-setuptools
BuildRequires:  libpython-devel
%if %{build_rpm}
BuildRequires:  rpm-devel
%endif
BuildRequires:  tcp_wrappers-devel
BuildRequires:  mysql-devel

%description
SNMP (Simple Network Management Protocol) is a protocol used for network
management. The NET-SNMP project includes various SNMP tools: an extensible
agent, an SNMP library, tools for requesting or setting information from SNMP
agents, tools for generating and handling SNMP traps, a version of the netstat
command which uses SNMP, and a Tk/Perl mib browser. This package contains the
snmpd and snmptrapd daemons, documentation, etc.

You will probably also want to install the net-snmp-utils package, which
contains NET-SNMP utilities.

%package -n %{libname}
Summary:    Libraries for Network management (SNMP), from the NET-SNMP project
Group:      System/Libraries
Requires:   openssl

%description -n %{libname}
The %{libname} package contains the libraries for use with the NET-SNMP
project's network management tools.

%package -n %{develname}
Summary:    The development environment for the NET-SNMP project
Group:      Development/C
Provides:   %{name}-devel = %{version}-%{release}
Provides:   libnet-snmp-devel
Requires:   %{libname} = %{version}-%{release}
Requires:   tcp_wrappers-devel
Requires:   lm_sensors-devel
Requires:   perl-devel

%description -n %{develname}
The %{develname} package contains the development libraries and header
files for use with the NET-SNMP project's network management tools.

Install the net-snmp-devel package if you would like to develop applications
for use with the NET-SNMP project's network management tools.

%package -n %{staticdevelname}
Summary:    The static development libraries for the NET-SNMP project
Group:      Development/C
Provides:   %{name}-static-devel
Requires:   %{develname} = %{version}-%{release}

%description -n %{staticdevelname}
The %{staticdevelname} package contains the static development
libraries and header files for use with the NET-SNMP project's network
management tools.

Install the net-snmp-static-devel package if you would like to develop
applications for use with the NET-SNMP project's network management tools.

%package    utils
Summary:    Network management utilities using SNMP, from the NET-SNMP project
Group:      Networking/Other
Requires:   %{libname} = %{version}
Requires:   openssl
Requires:   net-snmp-mibs
Obsoletes:  ucd-snmp-util ucd-snmp-utils

%description    utils
The net-snmp package contains various utilities for use with the NET-SNMP
network management project.

Install this package if you need utilities for managing your network using the
SNMP protocol.

%package    tkmib
Summary:    MIB browser in TK
Group:      Networking/Other
Requires:   net-snmp-mibs
Requires:   perl(SNMP)

%description    tkmib
MIB browser in TK

%package    mibs
Summary:    MIBs for the NET-SNMP project
Group:      Networking/Other

%description    mibs
The net-snmp-mibs package contains various MIBs for use with the NET-SNMP
network management project.

%package    trapd
Summary:    The trap collecting daemon for %{name}
Group:      System/Servers
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:   %{name} = %{version}
Requires:   openssl
Requires:   net-snmp-mibs
Requires:   net-snmp-utils
Requires:   tcp_wrappers

%description    trapd
The net-snmp-trapd package contains the trap collecting daemon for use with the
NET-SNMP network management project.

Install this package if you need to collect SNMP traps from your network using
the SNMP protocol.

%package -n perl-NetSNMP
Summary:    Perl utilities using SNMP, from the NET-SNMP project
Group:      Development/Perl
Requires:   net-snmp-mibs

%description -n perl-NetSNMP
NET SNMP (Simple Network Management Protocol) Perl5 Support The Simple Network
Management Protocol (SNMP) provides a framework for the exchange of management
information between agents (servers) and clients.  The NET SNMP perl5 support
files provide the perl functions for integration of SNMP into applications,
written in perl.

%package -n    python-netsnmp
Summary:       Python utilities using SNMP, from the NET-SNMP project
Group:         Development/Python
Requires:      net-snmp-mibs

%description -n        python-netsnmp
The 'netsnmp' module provides a full featured, tri-lingual SNMP (SNMPv3, 
SNMPv2c, SNMPv1) client API. The 'netsnmp' module internals rely on the
Net-SNMP toolkit library.

%prep
%setup -q

# fedora patches
%patch1 -p1 -b .pie
%patch2 -p1 -b .dir-fix
%patch3 -p1 -b .multilib
%patch4 -p1 -b .apsl
%patch5 -p1
%patch6 -p1 -b .systemd
%patch7 -p1 -b .ipaddress-size
%patch10 -p1 -b .btrfs
%patch11 -p1 -b .agentx-crash
%patch12 -p1 -b .agentx-disconnect-crash

%patch50 -p1 -b .icmp-mib
%patch51 -p1 -b .CVE-2014-2285
%patch52 -p1 -b .CVE-2014-3565
%patch53 -p1 -b .varbind-dos

%patch100 -p1 -b .py_destdir
%patch101 -p1 -b .link
%patch102 -p1 -b .no-systemd

# run tests in dir that is cleaned
install -d -m777 test_tmp_dir
HERE="$RPM_BUILD_DIR/%{name}-%{version}"
find testing -type f -exec perl -pi -e "s|/tmp/snmp-test|$HERE/test_tmp_dir/snmp-test|g" {} +

# Do this patch with a perl hack...
perl -pi -e "s|'\\\$install_libdir'|'%{_libdir}'|" ltmain.sh

bzip2 ChangeLog

%build
%serverbuild

MIBS="host agentx smux \
     ucd-snmp/diskio tcp-mib udp-mib mibII/mta_sendmail \
    ip-mib/ipv4InterfaceTable ip-mib/ipv6InterfaceTable \
    ip-mib/ipAddressPrefixTable/ipAddressPrefixTable \
    ip-mib/ipDefaultRouterTable/ipDefaultRouterTable \
    ip-mib/ipv6ScopeZoneIndexTable ip-mib/ipIfStatsTable \
    sctp-mib rmon-mib etherlike-mib \
    ucd-snmp/lmsensorsMib"

%configure2_5x \
%if %{build_rpm}
    --with-rpm \
%else
    --without-rpm \
%endif
    --enable-static \
    --enable-shared \
    --sysconfdir=%{_sysconfdir} \
    --enable-ipv6 \
    --enable-ucd-snmp-compatibility \
    --enable-embedded-perl \
    --with-python-modules \
    --enable-as-needed \
    --with-pic \
    --with-cflags="$CFLAGS -D_REENTRANT" \
    --with-ldflags="$LDFLAGS -lcrypto -lsensors" \
    --with-logfile="/var/log/snmpd.log" \
    --with-persistent-directory="/var/lib/net-snmp" \
    --with-mib-modules="$MIBS" \
    --with-libwrap \
    --with-openssl \
    --with-perl-modules="INSTALLDIRS=vendor" \
    --enable-mfd-rewrites \
    --enable-local-smux \
    --with-mnttab="/etc/mtab" \
    --with-mysql \
    --with-systemd \
    --with-default-snmp-version="3" \
    --with-sys-location="Unknown" \
    --with-sys-contact="root@localhost" <<EOF

EOF

# XXX autojunk
sed -i -e "s,^#define HAVE_GETMNTENT,#define HAVE_GETMNTENT 1," \
    include/net-snmp/net-snmp-config.h

make

# more verbose tests
#perl -pi -e "s|\./RUNTESTS|\./RUNTESTS -V|g" testing/Makefile
# XXX - andreas - 15/aug/2006
# XXX - disabled because doesn't work on cluster
# and available bandwidth is TOO LOW for interactive debugging from
# 10.000km away
#make test

%install
rm -rf %{buildroot}
%makeinstall_std \
    ucdincludedir=%{_includedir}/net-snmp/ucd-snmp

install -d %{buildroot}/var/lib/net-snmp
install -d %{buildroot}/var/agentx/master

install -d %{buildroot}%{_sysconfdir}/snmp
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_unitdir}

install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/snmp/snmpd.conf
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/snmpd
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/snmpd

install -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/snmpd.service
install -m 644 dist/snmpd.socket %{buildroot}%{_unitdir}/snmpd.socket

install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/snmp/snmptrapd.conf
install -m 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/logrotate.d/snmptrapd
install -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/sysconfig/snmptrapd
install -m 644 %{SOURCE9} %{buildroot}%{_unitdir}/snmptrapd.service
install -m 644 dist/snmptrapd.socket %{buildroot}%{_unitdir}/snmptrapd.socket

install -D -m 644 %{SOURCE10} %{buildroot}%{_prefix}/lib/tmpfiles.d/net-snmp.conf

install -m 0755 %{SOURCE11} %{buildroot}%{_bindir}/ucd5820stat

rm -f %{buildroot}%{_bindir}/snmpinform
rm -f %{buildroot}%{_bindir}/snmpcheck
ln -s snmptrap %{buildroot}%{_bindir}/snmpinform

# install some extra stuff...
install -m 644 mibs/NET-SNMP-MONITOR-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/NET-SNMP-SYSTEM-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/TUNNEL-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/UCD-IPFILTER-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/UCD-SNMP-MIB-OLD.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/ianalist %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/rfclist %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/rfcmibs.diff %{buildroot}%{_datadir}/snmp/mibs/
install -m 755 mibs/mibfetch %{buildroot}%{_datadir}/snmp/mibs/
install -m 755 mibs/smistrip %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/Makefile.mib %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 %{SOURCE12} %{buildroot}%{_datadir}/snmp/mibs/NOTIFICATION-TEST-MIB.txt
install -m 644 %{SOURCE13} %{buildroot}%{_datadir}/snmp/mibs/TRAP-TEST-MIB.txt

# fix one bug
perl -pi -e "s|%{buildroot}||g" %{buildroot}%{_libdir}/*.la

# nuke rpath
for i in $(find %{buildroot}%{perl_vendorarch} -name "*.so"); do
	chmod u+w $i
	chrpath -d $i
done

%multiarch_binaries %{buildroot}%{_bindir}/net-snmp-config
%multiarch_includes %{buildroot}%{_includedir}/net-snmp/net-snmp-config.h
%multiarch_binaries %{buildroot}%{_bindir}/net-snmp-create-v3-user

%post
%_post_service snmpd

%preun
%_preun_service snmpd

%post trapd
%_post_service snmptrapd

%preun trapd
%_preun_service snmptrapd

%files
%doc AGENT.txt EXAMPLE.conf FAQ INSTALL NEWS TODO
%doc README README.agent* README.krb5 README.snmpv3 README.thread
%doc local/passtest local/README.mib2c local/ipf-mod.pl
%config(noreplace) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/snmpd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmpd
%{_prefix}/lib/tmpfiles.d/net-snmp.conf
%{_unitdir}/snmpd.service
%{_unitdir}/snmpd.socket
%{_bindir}/ucd5820stat
%{_sbindir}/snmpd
%{_mandir}/man5/snmpd.conf.5*
%{_mandir}/man5/snmp_config.5*
%{_mandir}/man5/snmp.conf.5*
%{_mandir}/man5/variables.5*
%{_mandir}/man5/snmpd.examples.5*
%{_mandir}/man5/snmpd.internal.5*
%{_mandir}/man8/snmpd.8*

%files trapd
%doc dist/schema-snmptrapd.sql README.sql
%config(noreplace) %{_sysconfdir}/snmp/snmptrapd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/snmptrapd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmptrapd
%{_unitdir}/snmptrapd.service
%{_unitdir}/snmptrapd.socket
%{_sbindir}/snmptrapd
%{_mandir}/man5/snmptrapd.conf.5*
%{_mandir}/man8/snmptrapd.8*

%files utils
%{_bindir}/agentxtrap
%{_bindir}/encode_keychange
%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/mib2c
%{_bindir}/mib2c-update
%{_bindir}/net-snmp-cert
%{_bindir}/net-snmp-create-v3-user
%multiarch %{multiarch_bindir}/net-snmp-create-v3-user
%{_bindir}/snmp-bridge-mib
%{_bindir}/snmpbulkget
%{_bindir}/snmpbulkwalk
%{_bindir}/snmpconf
%{_bindir}/snmpdelta
%{_bindir}/snmpdf
%{_bindir}/snmpget
%{_bindir}/snmpgetnext
%{_bindir}/snmpinform
%{_bindir}/snmpnetstat
%{_bindir}/snmpset
%{_bindir}/snmpstatus
%{_bindir}/snmptable
%{_bindir}/snmptest
%{_bindir}/snmptranslate
%{_bindir}/snmptrap
%{_bindir}/snmpusm
%{_bindir}/snmpvacm
%{_bindir}/snmpwalk
%{_bindir}/traptoemail
%{_datadir}/snmp/mib2c-data
%{_datadir}/snmp/snmpconf-data
%{_datadir}/snmp/snmp_perl.pl
%{_datadir}/snmp/snmp_perl_trapd.pl
%{_datadir}/snmp/*.conf
%{_mandir}/man1/agentxtrap.1*
%{_mandir}/man1/encode_keychange.1*
%{_mandir}/man1/fixproc.1*
%{_mandir}/man1/mib2c.1*
%{_mandir}/man1/mib2c-update.1*
%{_mandir}/man1/net-snmp-create-v3-user.1*
%{_mandir}/man1/snmp-bridge-mib.1*
%{_mandir}/man1/snmpbulkget.1*
%{_mandir}/man1/snmpbulkwalk.1*
%{_mandir}/man1/snmpcmd.1*
%{_mandir}/man1/snmpconf.1*
%{_mandir}/man1/snmpdelta.1*
%{_mandir}/man1/snmpdf.1*
%{_mandir}/man1/snmpget.1*
%{_mandir}/man1/snmpgetnext.1*
%{_mandir}/man1/snmpinform.1*
%{_mandir}/man1/snmpnetstat.1*
%{_mandir}/man1/snmpset.1*
%{_mandir}/man1/snmpstatus.1*
%{_mandir}/man1/snmptable.1*
%{_mandir}/man1/snmptest.1*
%{_mandir}/man1/snmptranslate.1*
%{_mandir}/man1/snmptrap.1*
%{_mandir}/man1/snmpusm.1*
%{_mandir}/man1/snmpvacm.1*
%{_mandir}/man1/snmpwalk.1*
%{_mandir}/man1/traptoemail.1*
%{_mandir}/man5/mib2c.conf.5*

%files mibs
%doc mibs/README.mibs
%{_datadir}/snmp/mibs

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc ChangeLog.bz2
%multiarch %{multiarch_bindir}/net-snmp-config
%multiarch %{multiarch_includedir}/net-snmp/net-snmp-config.h
%{_bindir}/net-snmp-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/net-snmp
%{_includedir}/net-snmp/net-snmp-config.h
%{_mandir}/man3/*
%dir /var/lib/net-snmp
%dir /var/agentx/master
%{_mandir}/man1/net-snmp-config.1*

%files -n %{staticdevelname}
%{_libdir}/*.a

%files -n perl-NetSNMP
%{perl_vendorarch}/auto/NetSNMP
%{perl_vendorarch}/auto/SNMP
%{perl_vendorarch}/SNMP.pm
%{perl_vendorarch}/NetSNMP
%{perl_vendorarch}/Bundle/Makefile.subs.pl
%{_mandir}/man3/NetSNMP*
%{_mandir}/man3/SNMP.3*

%files -n python-netsnmp
%{python_sitearch}/netsnmp
%{python_sitearch}/netsnmp_python*-py%{py_ver}.egg-info

%files tkmib
%{_bindir}/tkmib
%{_mandir}/man1/tkmib.1*


%changelog
* Thu Apr 30 2015 luigiwalser <luigiwalser> 5.7.2-13.3.mga4
+ Revision: 820866
- rediff upstream patch to fix DoS issue (rhbz#1212408, mga#15712)
- add upstream patch to fix CVE-2014-3565
- add patch to fix linking when building without systemd support (mga#13761)
- fix bad perl subsititution command in prep section (mga#13761)
- add upstream patch to fix snmptrapd crash (CVE-2014-2285)
- add upstream DoS fix (fix ICMP mib table handling on linux) from 5.7.2.1 (CVE-2014-2284)

* Tue Jan 07 2014 luigiwalser <luigiwalser> 5.7.2-13.mga4
+ Revision: 565483
- add patches from fedora to fix:
  - CVE-2012-6151 snmpd crash when AgentX subagent disconnects (rhbz#1038011)
  - net-snmp-python IPADDRESS size on 64-bit systems (rhbz#895357)
  - btrfs support for hrFSTable (rhbz#965348)

* Sat Nov 02 2013 wally <wally> 5.7.2-12.mga4
+ Revision: 549077
- add patch to fix linking
- fix chrpath usage in .spec

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 23 2013 dlucio <dlucio> 5.7.2-9.mga4
+ Revision: 470356
- python br
- bump release

* Wed May 29 2013 tv <tv> 5.7.2-8.mga4
+ Revision: 430249
- rebuild for new perl

* Mon Mar 18 2013 dlucio <dlucio> 5.7.2-7.mga3
+ Revision: 403919
- rebuild for new perl

* Sat Jan 26 2013 colin <colin> 5.7.2-6.mga3
+ Revision: 392496
- Install systemd sockets as well as services.
- Add patch from Fedora to allow the systemd units already present to work with Type=notify

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 guillomovitch <guillomovitch> 5.7.2-4.mga3
+ Revision: 335364
- restore sysconfig files
- honour them from systemd unit files

* Wed Dec 26 2012 nanardon <nanardon> 5.7.2-3.mga3
+ Revision: 335348
- remove sysconfig/ files not use anymore
- reduce snmpd verbosity in log

* Wed Nov 28 2012 dlucio <dlucio> 5.7.2-2.mga3
+ Revision: 322720
- rebuild

* Mon Oct 22 2012 oden <oden> 5.7.2-1.mga3
+ Revision: 309147
- 5.7.2
- remove redundant patches and sync with fedora

  + guillomovitch <guillomovitch>
    - use %%{_prefix}/lib/tmpfiles.d instead of %%{_sysconfdir}/tmpfiles.d

* Tue Aug 14 2012 guillomovitch <guillomovitch> 5.7.1-6.mga3
+ Revision: 281286
- drop excessive dependecies from perl and python bindings (#7010)

* Mon Jun 25 2012 guillomovitch <guillomovitch> 5.7.1-5.mga3
+ Revision: 263483
- drop sysinit support
- sync default configuration files with fedora (#6550)
- sync fedora patches set

* Thu Jun 21 2012 luigiwalser <luigiwalser> 5.7.1-4.mga3
+ Revision: 262486
- add patch to fix CVE-2012-2141 (from upstream via mdv)

* Sat Apr 28 2012 tmb <tmb> 5.7.1-3.mga3
+ Revision: 233812
- Require rpm-helper >= 0.24.8-1 for systemd support
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Oct 31 2011 guillomovitch <guillomovitch> 5.7.1-1.mga2
+ Revision: 160565
- new version
- systemd support
- sync fedora patches
- add upstream patch to silent spurious error messages
- oops, too much cleanup in previous commit
- new version
- spec cleanup
- enable python bindings

* Fri Jul 01 2011 ahmad <ahmad> 5.6.1-9.mga2
+ Revision: 117063
- Rebuild for perl-5.14.1

* Sun Jun 12 2011 sander85 <sander85> 5.6.1-8.mga2
+ Revision: 104870
- Rebuild for perl 5.14

* Sun May 15 2011 pterjan <pterjan> 5.6.1-7.mga1
+ Revision: 99023
- Rebuild for fixed find-requires

* Sat Apr 30 2011 rtp <rtp> 5.6.1-6.mga1
+ Revision: 93660
- BuildRequires on lm_sensors-devel or arm/mips too

* Thu Mar 24 2011 dmorgan <dmorgan> 5.6.1-5.mga1
+ Revision: 77111
- Rebuild against new mysql

* Mon Feb 21 2011 spuhler <spuhler> 5.6.1-4.mga1
+ Revision: 55158
- Increased rel for rebuild against perl-5.12
  Removed %%define Werror_cflags %%{nil}
- Increased rel for rebuild against perl-5.12

* Wed Jan 19 2011 jquelin <jquelin> 5.6.1-3.mga1
+ Revision: 23780
- rebuild

* Fri Jan 14 2011 dmorgan <dmorgan> 5.6.1-2.mga1
+ Revision: 17426
- Get rid of mdv macros
- imported package net-snmp

